<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Исходный файл /home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/src/Theme.qml</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Theme.qml</div>  </div>
</div><!--header-->
<div class="contents">
<a href="Theme_8qml.html">См. документацию.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="keyword">import</span> QtQuick 2.0</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160; <span class="comment">// светлая тема по умолчанию</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"></span>Item {</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160; </div>
<div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="classTheme.html#ab684973dc5d1712aad2e34038bdfc339">   15</a></span>&#160;    <span class="comment">/* Все цвета проекта*/</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160; </div>
<div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="classTheme.html#a0158c4901a8fc3136fd67804c4ba4611">   17</a></span>&#160;    <span class="keyword">property</span> <span class="keywordtype">string</span> gradientStandartStart: <span class="stringliteral">&quot;#2b5876&quot;</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    <span class="keyword">property</span> <span class="keywordtype">string</span> gradientStandartStop:  <span class="stringliteral">&quot;#4e4376&quot;</span></div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="classTheme.html#abcdd0b82f4b4579b4c4744e001f168b9">   19</a></span>&#160;    <span class="keyword">property</span> <span class="keywordtype">string</span> gradientEnteredStart:  <span class="stringliteral">&quot;#1e3c72&quot;</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    <span class="keyword">property</span> <span class="keywordtype">string</span> gradientEnteredStop: <span class="stringliteral">&quot;#2a5298&quot;</span></div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="classTheme.html#ad1ad2501a2582eed6369f5c95d7147b8">   21</a></span>&#160;    <span class="keyword">property</span> <span class="keywordtype">string</span> attentionGradientStandartStart: <span class="stringliteral">&quot;#f56060&quot;</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <span class="keyword">property</span> <span class="keywordtype">string</span> attentionGradientStandartStop: <span class="stringliteral">&quot;#de3950&quot;</span></div>
<div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="classTheme.html#ac519021e92683e751672b232741906ed">   23</a></span>&#160;    <span class="keyword">property</span> <span class="keywordtype">string</span> attentionGradientEnteredStart: <span class="stringliteral">&quot;#ee1e4a&quot;</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    <span class="keyword">property</span> <span class="keywordtype">string</span> attentionGradientEnteredStop: <span class="stringliteral">&quot;#ee1e4a&quot;</span></div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="classTheme.html#a9fdb32d738dce41a546e4443e921b92d">   25</a></span>&#160;    <span class="keyword">property</span> <span class="keywordtype">string</span> startingGradientStandartStart: <span class="stringliteral">&quot;#bbbbbe&quot;</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    <span class="keyword">property</span> <span class="keywordtype">string</span> startingGradientStandartStop: <span class="stringliteral">&quot;#bbbbbe&quot;</span></div>
<div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="classTheme.html#aa29c0f85350031906a7fdff41c35a148">   27</a></span>&#160;    <span class="keyword">property</span> <span class="keywordtype">string</span> startingGradientEnteredStart: <span class="stringliteral">&quot;#bbbbbe&quot;</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    <span class="keyword">property</span> <span class="keywordtype">string</span> startingGradientEnteredStop: <span class="stringliteral">&quot;#bbbbbe&quot;</span></div>
<div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="classTheme.html#ad532350318ef574b5a8cf70799fa444a">   29</a></span>&#160;    <span class="keyword">property</span> <span class="keywordtype">string</span> backgroundGradientStart: <span class="stringliteral">&quot;#fdfbfb&quot;</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    <span class="keyword">property</span> <span class="keywordtype">string</span> backgroundGradientStop: <span class="stringliteral">&quot;#ebedee&quot;</span></div>
<div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="classTheme.html#a994480ff7aa1690c6f477447e5745514">   31</a></span>&#160;    <span class="keyword">property</span> <span class="keywordtype">string</span> textButtonColor: <span class="stringliteral">&quot;white&quot;</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    <span class="keyword">property</span> <span class="keywordtype">string</span> textColor: <span class="stringliteral">&quot;#2b5876&quot;</span></div>
<div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="classTheme.html#aff8c4954807938bc1c82f82765f66720">   33</a></span>&#160;    <span class="keyword">property</span> <span class="keywordtype">string</span> placeholderTextColor: <span class="stringliteral">&quot;#495464&quot;</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <span class="keyword">property</span> <span class="keywordtype">string</span> borderColor: <span class="stringliteral">&quot;#dfe9f3&quot;</span></div>
<div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="classTheme.html#a3912a43180690f81fe73eeae42d4948a">   35</a></span>&#160; </div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <span class="comment">/* SwitchDelegate */</span></div>
<div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="classTheme.html#a25578549107930f6a8c7c5bed86e6636">   37</a></span>&#160; </div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <span class="keyword">property</span> <span class="keywordtype">string</span> sdTextColorDown: <span class="stringliteral">&quot;#515763&quot;</span></div>
<div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="classTheme.html#af675e3594347e48c0550c2e530e3b42a">   39</a></span>&#160;    <span class="keyword">property</span> <span class="keywordtype">string</span> sdTextColor: <span class="stringliteral">&quot;#2d3138&quot;</span></div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <span class="keyword">property</span> <span class="keywordtype">string</span> sdIndicatorColor: <span class="stringliteral">&quot;transparent&quot;</span></div>
<div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="classTheme.html#a20a0879894e1826f965febc7fa92683a">   41</a></span>&#160;    <span class="keyword">property</span> <span class="keywordtype">string</span> sdIndicatorColorChecked: <span class="stringliteral">&quot;#f56060&quot;</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <span class="keyword">property</span> <span class="keywordtype">string</span> sdIndicatorBorderColor: <span class="stringliteral">&quot;#B175C5&quot;</span></div>
<div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="classTheme.html#a07d17f071e46f923bc3acd840d821ba9">   43</a></span>&#160;    <span class="keyword">property</span> <span class="keywordtype">string</span> sdIndicatorBorderColorChecked: <span class="stringliteral">&quot;#6534AC&quot;</span></div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    <span class="keyword">property</span> <span class="keywordtype">string</span> sdIndicatorLadenColorDown: <span class="stringliteral">&quot;#B175C5&quot;</span></div>
<div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="classTheme.html#aef37b0f6624777690da96642d2c5556e">   45</a></span>&#160;    <span class="keyword">property</span> <span class="keywordtype">string</span> sdIndicatorLadenColor: <span class="stringliteral">&quot;#ffffff&quot;</span></div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    <span class="keyword">property</span> <span class="keywordtype">string</span> sdIndicatorLadenBorderColor: <span class="stringliteral">&quot;#999999&quot;</span></div>
<div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="classTheme.html#ab7a2b8912e8fdeb662a6027c4bebf4d9">   47</a></span>&#160;    <span class="keyword">property</span> <span class="keywordtype">string</span> sdBackgroundBorderColor: <span class="stringliteral">&quot;#6C669D&quot;</span></div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    <span class="keyword">property</span> <span class="keywordtype">string</span> sdBackgroundBorderColorPressed: <span class="stringliteral">&quot;#f56060&quot;</span></div>
<div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="classTheme.html#a2c1a355894fd9bf32f03b1c8ab7ebca8">   49</a></span>&#160;    <span class="keyword">property</span> <span class="keywordtype">string</span> sdBackgroundColor: <span class="stringliteral">&quot;#bcc1cc&quot;</span></div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;}</div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aclassTheme_html"><div class="ttname"><a href="classTheme.html">Theme</a></div><div class="ttdoc">Параметры цвета в проекте</div><div class="ttdef"><b>Definition:</b> <a href="Theme_8qml_source.html#l00012">Theme.qml:12</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
